Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_capture_src Struct Reference

## Public Attributes
guint32 | received
guint32 | dropped
guint32 | flushed
pcap_t * | pcap_h
int | pcap_fd
gboolean | pcap_err
guint | interface_id
GThread * | tid
int | snaplen
int | linktype
gboolean | ts_nsec
gboolean | from_cap_pipe
gboolean | from_cap_socket
gboolean | from_pcapng
union {
pcap_pipe_info_t pcap
pcapng_pipe_info_t pcapng
} | cap_pipe_info
int | cap_pipe_fd
gboolean | cap_pipe_modified
gboolean | cap_pipe_byte_swapped
char * | cap_pipe_databuf
size_t | cap_pipe_databuf_size
guint | cap_pipe_max_pkt_size
size_t | cap_pipe_bytes_to_read
size_t | cap_pipe_bytes_read
int(* | cap_pipe_dispatch )(struct _loop_data *, struct _capture_src *, char *, int)
cap_pipe_state_t | cap_pipe_state
cap_pipe_err_t | cap_pipe_err

## Member Data Documentation

gboolean _capture_src::cap_pipe_byte_swapped

TRUE if data in the pipe is byte swapped

size_t _capture_src::cap_pipe_bytes_read

Used by cap_pipe_dispatch

size_t _capture_src::cap_pipe_bytes_to_read

Used by cap_pipe_dispatch

char* _capture_src::cap_pipe_databuf

Pointer to the data buffer we've allocated

size_t _capture_src::cap_pipe_databuf_size

Current size of the data buffer

int _capture_src::cap_pipe_fd

the file descriptor of the capture pipe

guint _capture_src::cap_pipe_max_pkt_size

Maximum packet size allowed

gboolean _capture_src::cap_pipe_modified

TRUE if data in the pipe uses modified pcap headers

gboolean _capture_src::from_cap_pipe

TRUE if we are capturing data from a capture pipe

gboolean _capture_src::from_cap_socket

TRUE if we're capturing from socket

gboolean _capture_src::from_pcapng

TRUE if we're capturing from pcapng format

pcap_pipe_info_t _capture_src::pcap

Pcap info when capturing from a pipe

int _capture_src::pcap_fd

pcap file descriptor

pcapng_pipe_info_t _capture_src::pcapng

Pcapng info when capturing from a pipe

gboolean _capture_src::ts_nsec

TRUE if we're using nanosecond precision. capture pipe (unix only "input file")

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/dumpcap.c